## pcre-ocaml 5.06.2

=== lib/Makefile ===
OCAMLMAKEFILE = ../OCamlMakefile

SOURCES   = pcre_stubs.c pcre.mli pcre.ml
CFLAGS    = -O2 -fPIC -DPIC
CLIBS	  = pcre
RESULT    = pcre

all:

install:	libinstall
uninstall:	libuninstall

clean:	clean-doc

-include $(OCAMLMAKEFILE)

## pcre-ocaml 5.08.1

=== lib/Makefile ===
--- 
+++ 
@@ -1,7 +1,7 @@
 OCAMLMAKEFILE = ../OCamlMakefile
 
 SOURCES   = pcre_stubs.c pcre.mli pcre.ml
-CFLAGS    = -O2 -fPIC -DPIC
+CFLAGS    = -O2
 CLIBS	  = pcre
 RESULT    = pcre

## pcre-ocaml 5.12.2

=== Makefile ===
-include Makefile.conf

EXAMPLES = $(filter-out examples/CVS, $(wildcard examples/*))

.PHONY: all
all:
	@cd lib && $(MAKE) byte-code-library native-code-library

.PHONY:	examples
examples:
	@for dir in $(EXAMPLES); do (cd $$dir && $(MAKE)); done

.PHONY:	doc
doc:
	@cd lib && $(MAKE) $@
	ln -sf lib/doc

.PHONY:	install
install:
	@cd lib && $(MAKE) $@

.PHONY:	uninstall
uninstall:
	@cd lib && $(MAKE) $@

.PHONY:	clean
clean:
	@cd lib && $(MAKE) clean
	@for dir in $(EXAMPLES); do (cd $$dir && $(MAKE) $@); done
	@rm -f doc

=== examples/count_hash/Makefile ===
OCAMLMAKEFILE = ../../OCamlMakefile

SOURCES = count_hash.ml
INCDIRS = ../../lib
LIBDIRS = ../../lib
LIBS    = pcre
RESULT  = count_hash

-include $(OCAMLMAKEFILE)

=== examples/subst/Makefile ===
OCAMLMAKEFILE = ../../OCamlMakefile

SOURCES = subst.ml
INCDIRS = ../../lib
LIBDIRS = ../../lib
LIBS    = pcre
RESULT  = subst

-include $(OCAMLMAKEFILE)

## pcre-ocaml 5.13.0

=== lib/Makefile ===
OCAMLMAKEFILE = ../OCamlMakefile

SOURCES   = pcre.mli pcre.ml pcre_stubs.c
CFLAGS    = -O2
CLIBS	  = pcre
RESULT    = pcre

all:

install:	libinstall
uninstall:	libuninstall

clean::	clean-doc

-include $(OCAMLMAKEFILE)

## pcre-ocaml 6.0.1

=== lib/Makefile ===
OCAMLMAKEFILE = ../OCamlMakefile

SOURCES := pcre.mli pcre.ml pcre_stubs.c
CFLAGS := -O2 $(shell pcre-config --cflags)
PCRE_FLAGS := $(shell pcre-config --libs)
OCAMLLDFLAGS := -cclib "$(PCRE_FLAGS)"
OCAMLMKLIB_FLAGS := $(PCRE_FLAGS)
RESULT := pcre

all:

install: libinstall
uninstall: libuninstall

-include $(OCAMLMAKEFILE)

=== debian/changelog ===
pcre-ocaml (6.0.1-3) unstable; urgency=low

  [ Stéphane Glondu ]
  * Fix generation of documentation by dh_ocamldoc (Closes: #570717)
  
  [ Stefano Zacchiroli ]
  * Bump Standards-Version to 3.8.4 (no changes)
  * debian/source/format: set source format to 3.0 (quilt)
  * switch patch management from dpatch to quilt
  * debian/patches: remove unused meta.dpatch

 -- Stefano Zacchiroli <zack@debian.org>  Thu, 08 Apr 2010 21:50:07 +0200

pcre-ocaml (6.0.1-2) unstable; urgency=low

  * Switch packaging to dh-ocaml 0.9
  * Update my e-mail address and remove DMUA
  * Bump Standards-Version to 3.8.3 (no changes)

 -- Stéphane Glondu <glondu@debian.org>  Mon, 05 Oct 2009 10:26:24 +0200

pcre-ocaml (6.0.1-1) unstable; urgency=low

  * New Upstream Version

 -- Stephane Glondu <steph@glondu.net>  Wed, 01 Jul 2009 00:37:52 +0200

pcre-ocaml (6.0.0-1) unstable; urgency=low

  [ Stefano Zacchiroli ]
  * debian/*install.in: uniform files, removing spurious dirts
  * debian/control:
    - set archive section to "ocaml"

  [ Stephane Glondu ]
  * New upstream release:
    - changed API wrt. error handling
  * Update Standards-Version to 3.8.2
  * Add versioned dependency to ocaml-findlib to ease OCaml 3.11.1
    transition

 -- Stephane Glondu <steph@glondu.net>  Wed, 01 Jul 2009 00:26:22 +0200

pcre-ocaml (5.15.1-2) unstable; urgency=low

  * upload to unstable
  * bump debhelper compatibility level to 7
    - simplify debian/*.install file getting rid of debian/tmp/
  * debian/*.install.in: use @OCamlStdlibDir@ and @OCamlDllDir@ instead of
    making assumption on stdlib directory layout
  * debian/rules: use ocaml.mk as a "rules" makefile snippet, bump
    build-dep on dh-ocaml to the minumum version implementing it
  * debian/control:
    - drop obsolete dep version requirements
    - version build-deps on findlib, to ensure buildability in unstable

 -- Stefano Zacchiroli <zack@debian.org>  Wed, 25 Feb 2009 11:42:52 +0100

pcre-ocaml (5.15.1-1) experimental; urgency=low

  * New upstream release
  * Update debian/watch
  * Add debian/README.source
  * Update Standards-Version to 3.8.0
  * Update versioned dependency to OCaml

 -- Stephane Glondu <steph@glondu.net>  Fri, 05 Dec 2008 20:02:11 +0100

pcre-ocaml (5.15.0-1) experimental; urgency=low

  [ Stephane Glondu ]
  * New upstream release.
  * Add myself to Uploaders, and DM-Upload-Allowed field.

  [ Stefano Zacchiroli ]
  * change Vcs-* fields to point to the new git repository

  [ Romain Beauxis ]
  * Prepared upload to experimental to build against ocaml 3.11
  * Versioned ocaml-related build-dep to avoid confusion
  * Added dh-ocaml to build-deps 

 -- Romain Beauxis <toots@rastageeks.org>  Sun, 30 Nov 2008 06:36:25 +0100

pcre-ocaml (5.13.0-1.1) experimental; urgency=low

  * Rebuild with ocaml 3.10.2, NMU with maintainer's blessing.

 -- Ralf Treinen <treinen@debian.org>  Sat, 22 Mar 2008 21:05:44 +0100

pcre-ocaml (5.13.0-1) unstable; urgency=low

  * new upstream release
  * fix vcs-svn field to point just above the debian/ dir
  * rebuild against ocaml 3.10.1

 -- Stefano Zacchiroli <zack@debian.org>  Sat, 09 Feb 2008 17:58:20 +0100

pcre-ocaml (5.12.2-3) unstable; urgency=low

  * add Homepage field to debian/control
  * update standards-version, no changes needed
  * setting me as an uploader, d-o-m as the maintainer
  * debian/patches: added patch descriptions for build.dpatch and fpic.dpatch
  * debian/rules: remove unneeded win32 .bat file (make_win32_cloc.bat), it
    was useless and its removal makes lintian happy

 -- Stefano Zacchiroli <zack@debian.org>  Sat, 29 Dec 2007 22:32:54 +0100

pcre-ocaml (5.12.2-2) unstable; urgency=low

  * debian/control
    - bump build-dep on ocaml-nox to 3.10.0-8 to ensure we build against fixed
      CDBS class wrt ocamldoc generation

 -- Stefano Zacchiroli <zack@debian.org>  Sun, 02 Sep 2007 23:19:49 +0200

pcre-ocaml (5.12.2-1) unstable; urgency=low

  * new upstream release
  * bump debhelper dep and compatibility level to 5
  * debian/rules
    - use CDBS class support for generating the API reference via ocamldoc
      instead of doing that by hand. Remove doc-base entry for the HTML API
      reference; this is a bit of a regression, but in the future the doc-base
      entries will be automatically generated by CDBS
  * debian/control
    - bump dep on ocaml-nox to 3.10.0-7, since we now use latest stuff of the
      CDBS class
  * debian/patches/build.dpatch
    - ensure DESTDIR is created before attempting to install there with
      findlib (apparently needed starting from this upstream version)

 -- Stefano Zacchiroli <zack@debian.org>  Sun, 02 Sep 2007 16:39:34 +0200

pcre-ocaml (5.11.4-1) experimental; urgency=low

  * new upstream release
  * rebuilt against OCaml 3.10.0
  * debian/watch
    - added watch file
  * debian/control
    - use binary:Version instead of Source-Version for strict dependencies
  * debian/patches/*
    - removed heading XX_ in dpatches: 00list is enough for the ordering

 -- Stefano Zacchiroli <zack@debian.org>  Thu, 05 Jul 2007 10:20:08 +0200

pcre-ocaml (5.11.1-2) unstable; urgency=low

  * debian/rules
    - use ocaml.mk cdbs class
  * debian/control
    - bumped ocaml-nox build dependency to >= 3.09.2-7 since we now use
      ocaml.mk

 -- Stefano Zacchiroli <zack@debian.org>  Sat,  4 Nov 2006 09:23:02 +0100

pcre-ocaml (5.11.1-1) unstable; urgency=low

  * New upstream release
  * debian/rules
    - removed no longer needed workaround for cdbs + dpatch
    - avoid to create debian/control from debian/control.in on ocamlinit
  * debian/control.in
    - file removed; it is deprecated as per ocaml packaging policy 3.3
  * debian/patches/
    - commented out 19_meta.dpatch (not needed with this version, lib version
      is correct in upstream's META)

 -- Stefano Zacchiroli <zack@debian.org>  Tue,  5 Sep 2006 21:27:53 +0200

pcre-ocaml (5.10.1-4) unstable; urgency=low

  * Upload to unstable.



=== debian/control ===
Source: pcre-ocaml
Section: ocaml
Priority: optional
Maintainer: Debian OCaml Maintainers <debian-ocaml-maint@lists.debian.org>
Uploaders:
 Stefano Zacchiroli <zack@debian.org>,
 Stéphane Glondu <glondu@debian.org>
Build-Depends:
 debhelper (>= 7),
 libpcre3-dev,
 ocaml-nox (>= 3.11.1-3~),
 ocaml-findlib (>= 1.2.5),
 cdbs,
 quilt,
 dh-ocaml (>= 0.9)
Standards-Version: 3.8.4
Vcs-Git: git://git.debian.org/git/pkg-ocaml-maint/packages/pcre-ocaml.git
Vcs-Browser: http://git.debian.org/?p=pkg-ocaml-maint/packages/pcre-ocaml.git
Homepage: http://www.ocaml.info/home/ocaml_sources.html

Package: libpcre-ocaml
Architecture: any
Depends:
 ${ocaml:Depends},
 ${shlibs:Depends},
 ${misc:Depends}
Provides: ${ocaml:Provides}
Description: OCaml bindings for PCRE (runtime)
 This OCaml-library interfaces the PCRE (Perl-compatibility
 regular expressions) C library. it can be used for matching
 regular expressions which are written in Perl style.
 .
 Compared with the OCaml standard library "Str" module, this
 library:
  * uses Perl style rather than Emacs one
  * is reentrant and thus thread safe
  * is faster (when compiled to native code is even faster than
    Perl regular expressions)
  * returns data on which you can safely use destructive updates
  * gives more "programming confort" through a better API
 .
 This package contains only the shared runtime stub libraries.

Package: libpcre-ocaml-dev
Architecture: any
Depends:
 libpcre3-dev,
 ocaml-findlib,
 ${ocaml:Depends},
 ${misc:Depends}
Provides: ${ocaml:Provides}
Description: OCaml bindings for PCRE (Perl Compatible Regular Expression)
 This OCaml-library interfaces the PCRE (Perl-compatibility
 regular expressions) C library. it can be used for matching
 regular expressions which are written in Perl style.
 .
 Compared with the OCaml standard library "Str" module, this
 library:
  * uses Perl style rather than Emacs one
  * is reentrant and thus thread safe
  * is faster (when compiled to native code is even faster than
    Perl regular expressions)
  * returns data on which you can safely use destructive updates
  * gives more "programming confort" through a better API
 .
 This package contains all the development stuff you need to use
 OCaml PCRE in your programs.

=== debian/rules ===
#!/usr/bin/make -f
include /usr/share/cdbs/1/rules/patchsys-quilt.mk
include /usr/share/cdbs/1/rules/debhelper.mk
include /usr/share/cdbs/1/class/makefile.mk
include /usr/share/cdbs/1/rules/ocaml.mk

PKGNAME = libpcre-ocaml-dev
DESTDIR := $(CURDIR)/debian/tmp$(OCAML_STDLIB_DIR)
DEB_INSTALL_EXAMPLES_$(PKGNAME) := -Xmake_win32_cloc.bat

ifeq ($(OCAML_HAVE_OCAMLOPT),yes)
DEB_MAKE_BUILD_TARGET = opt NO_CUSTOM=y
DEB_MAKE_INSTALL_TARGET = install DESTDIR=$(DESTDIR) NATIVE=true
else
DEB_MAKE_BUILD_TARGET = all NO_CUSTOM=y
DEB_MAKE_INSTALL_TARGET = install DESTDIR=$(DESTDIR)
endif

=== debian/watch ===
# See uscan(1) for format

# Compulsory line, this is a version 3 file
version=3

http://www.ocaml.info/home/ocaml_sources.html http://hg.ocaml.info/release/pcre-ocaml/archive/release-(.*)\.tar\.gz

## pcre-ocaml 6.2.2

=== debian/changelog ===
pcre-ocaml (6.2.2-2build1) oneiric; urgency=low

  * Rebuild to pick up ocaml fixes on armel.

 -- Adam Conrad <adconrad@ubuntu.com>  Wed, 24 Aug 2011 16:28:25 -0600

pcre-ocaml (6.2.2-2) unstable; urgency=low

  * Remove obsolete README.source
  * Update libpcre-ocaml-dev.README.Debian (Closes: #622233)

 -- Stéphane Glondu <glondu@debian.org>  Mon, 18 Apr 2011 11:52:32 +0200

pcre-ocaml (6.2.2-1) unstable; urgency=low

  * New upstream release
    - add Fix-version-number-in-META.patch
  * Add Change-position-of-flag-lpcre.patch
  * debian/control:
    - fix typo in package description (Closes: #590973)
    - remove quilt from Build-Depends
    - remove Stefano from Uploaders
    - bump Standards-Version to 3.9.1
  * Bump debhelper compat level to 8

 -- Stéphane Glondu <glondu@debian.org>  Sun, 20 Feb 2011 05:35:01 +0100

=== debian/control ===
--- 
+++ 
@@ -2,18 +2,15 @@
 Section: ocaml
 Priority: optional
 Maintainer: Debian OCaml Maintainers <debian-ocaml-maint@lists.debian.org>
-Uploaders:
- Stefano Zacchiroli <zack@debian.org>,
- Stéphane Glondu <glondu@debian.org>
+Uploaders: Stéphane Glondu <glondu@debian.org>
 Build-Depends:
- debhelper (>= 7),
+ debhelper (>= 8),
  libpcre3-dev,
  ocaml-nox (>= 3.11.1-3~),
  ocaml-findlib (>= 1.2.5),
  cdbs,
- quilt,
- dh-ocaml (>= 0.9)
-Standards-Version: 3.8.4
+ dh-ocaml (>= 0.9~)
+Standards-Version: 3.9.1
 Vcs-Git: git://git.debian.org/git/pkg-ocaml-maint/packages/pcre-ocaml.git
 Vcs-Browser: http://git.debian.org/?p=pkg-ocaml-maint/packages/pcre-ocaml.git
 Homepage: http://www.ocaml.info/home/ocaml_sources.html
@@ -37,7 +34,7 @@
   * is faster (when compiled to native code is even faster than
     Perl regular expressions)
   * returns data on which you can safely use destructive updates
-  * gives more "programming confort" through a better API
+  * gives more "programming comfort" through a better API
  .
  This package contains only the shared runtime stub libraries.
 
@@ -61,7 +58,7 @@
   * is faster (when compiled to native code is even faster than
     Perl regular expressions)
   * returns data on which you can safely use destructive updates
-  * gives more "programming confort" through a better API
+  * gives more "programming comfort" through a better API
  .
  This package contains all the development stuff you need to use
  OCaml PCRE in your programs.

## pcre-ocaml 6.2.3

=== debian/changelog ===
pcre-ocaml (6.2.3-1) unstable; urgency=low

  * New upstream release
    - drop Change-position-of-flag-lpcre.patch since it seems to have
      been addressed upstream
  * Bump Standards-Version to 3.9.2 (no changes)

 -- Stéphane Glondu <glondu@debian.org>  Sat, 19 Nov 2011 15:27:40 +0100

## pcre-ocaml 6.2.4

=== debian/changelog ===
pcre-ocaml (6.2.4-2) unstable; urgency=low

  * Fix linking options stored in OCaml libraries that were making (some)
    reverse-dependencies FTBFS

 -- Stéphane Glondu <glondu@debian.org>  Mon, 02 Jan 2012 13:59:13 +0100

pcre-ocaml (6.2.4-1) unstable; urgency=low

  * New upstream release
    - drop Fix-version-number-in-META.patch (fixed upstream)
    - add Fix-typo-in-debug-native-code-library-target-of-OCam.patch
  * Compile with debugging symbols (Closes: #649863)

 -- Stéphane Glondu <glondu@debian.org>  Sun, 01 Jan 2012 16:17:04 +0100

## pcre-ocaml 6.2.5

=== debian/changelog ===
pcre-ocaml (6.2.5-1) unstable; urgency=low

  * New upstream release
    - drop Fix-typo-in-debug-native-code-library-target-of-OCam.patch

 -- Stéphane Glondu <glondu@debian.org>  Fri, 10 Feb 2012 06:50:22 +0100

=== debian/control ===
--- 
+++ 
@@ -10,7 +10,7 @@
  ocaml-findlib (>= 1.2.5),
  cdbs,
  dh-ocaml (>= 0.9~)
-Standards-Version: 3.9.1
+Standards-Version: 3.9.2
 Vcs-Git: git://git.debian.org/git/pkg-ocaml-maint/packages/pcre-ocaml.git
 Vcs-Browser: http://git.debian.org/?p=pkg-ocaml-maint/packages/pcre-ocaml.git
 Homepage: http://www.ocaml.info/home/ocaml_sources.html

=== debian/rules ===
--- 
+++ 
@@ -1,5 +1,4 @@
 #!/usr/bin/make -f
-include /usr/share/cdbs/1/rules/patchsys-quilt.mk
 include /usr/share/cdbs/1/rules/debhelper.mk
 include /usr/share/cdbs/1/class/makefile.mk
 include /usr/share/cdbs/1/rules/ocaml.mk

## pcre-ocaml 7.0.2

=== debian/changelog ===
pcre-ocaml (7.0.2-2) unstable; urgency=low

  * Remove META from -dev (it is installed by -ocaml)

 -- Stéphane Glondu <glondu@debian.org>  Thu, 09 May 2013 08:19:33 +0200

pcre-ocaml (7.0.2-1) unstable; urgency=low

  * New upstream release
  * Do no longer use CDBS
  * Use format version 1.0 in debian/copyright
  * Bump Standards-Version to 3.9.4

 -- Stéphane Glondu <glondu@debian.org>  Wed, 08 May 2013 20:19:11 +0200

=== debian/control ===
--- 
+++ 
@@ -8,9 +8,8 @@
  libpcre3-dev,
  ocaml-nox (>= 3.11.1-3~),
  ocaml-findlib (>= 1.2.5),
- cdbs,
  dh-ocaml (>= 0.9~)
-Standards-Version: 3.9.2
+Standards-Version: 3.9.4
 Vcs-Git: git://git.debian.org/git/pkg-ocaml-maint/packages/pcre-ocaml.git
 Vcs-Browser: http://git.debian.org/?p=pkg-ocaml-maint/packages/pcre-ocaml.git
 Homepage: http://www.ocaml.info/home/ocaml_sources.html
@@ -22,6 +21,8 @@
  ${shlibs:Depends},
  ${misc:Depends}
 Provides: ${ocaml:Provides}
+Replaces: libpcre-ocaml-dev (<< 7)
+Breaks: libpcre-ocaml-dev (<< 7)
 Description: OCaml bindings for PCRE (runtime)
  This OCaml-library interfaces the PCRE (Perl-compatibility
  regular expressions) C library. it can be used for matching

## pcre-ocaml 7.0.4

=== debian/changelog ===
pcre-ocaml (7.0.4-1) unstable; urgency=medium

  * New upstream release
  * Bump Standards-Version to 3.9.5

 -- Stéphane Glondu <glondu@debian.org>  Mon, 27 Jan 2014 10:24:50 +0100

pcre-ocaml (7.0.2-4) unstable; urgency=low

  * Upload to unstable

 -- Stéphane Glondu <glondu@debian.org>  Tue, 03 Dec 2013 08:40:37 +0100

pcre-ocaml (7.0.2-3) experimental; urgency=low

  * Compile with OCaml >= 4
  * Update Homepage and Vcs-*

 -- Stéphane Glondu <glondu@debian.org>  Thu, 11 Jul 2013 15:50:38 +0200

=== debian/control ===
--- 
+++ 
@@ -6,13 +6,13 @@
 Build-Depends:
  debhelper (>= 8),
  libpcre3-dev,
- ocaml-nox (>= 3.11.1-3~),
- ocaml-findlib (>= 1.2.5),
+ ocaml-nox (>= 4),
+ ocaml-findlib (>= 1.4),
  dh-ocaml (>= 0.9~)
-Standards-Version: 3.9.4
-Vcs-Git: git://git.debian.org/git/pkg-ocaml-maint/packages/pcre-ocaml.git
-Vcs-Browser: http://git.debian.org/?p=pkg-ocaml-maint/packages/pcre-ocaml.git
-Homepage: http://www.ocaml.info/home/ocaml_sources.html
+Standards-Version: 3.9.5
+Vcs-Git: git://anonscm.debian.org/pkg-ocaml-maint/packages/pcre-ocaml.git
+Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-ocaml-maint/packages/pcre-ocaml.git
+Homepage: https://bitbucket.org/mmottl/pcre-ocaml
 
 Package: libpcre-ocaml
 Architecture: any

=== debian/watch ===
version=3
https://bitbucket.org/mmottl/pcre-ocaml/downloads/pcre-ocaml-(\d.*)\.(?:tgz|tbz2|txz|tar\.(?:gz|bz2|xz))
# Bart Martens <bartm@debian.org>  Sat, 23 Feb 2013 23:10:37 +0000

## pcre-ocaml 7.2.3

=== debian/changelog ===
pcre-ocaml (7.2.3-2build1) bionic; urgency=medium

  * Rebuild against new OCAML ABI.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Fri, 27 Oct 2017 11:19:46 +0200

pcre-ocaml (7.2.3-2) unstable; urgency=medium

  * Add ocamlbuild to Build-Depends

 -- Stéphane Glondu <glondu@debian.org>  Sat, 15 Jul 2017 11:55:07 +0200

pcre-ocaml (7.2.3-1) unstable; urgency=medium

  * New upstream release
  * Update debian/watch
  * Update Vcs-*
  * Bump Standards-Version to 3.9.8
  * Bump debhelper compat to 9

 -- Stéphane Glondu <glondu@debian.org>  Wed, 03 Aug 2016 13:56:58 +0200

pcre-ocaml (7.0.4-2) unstable; urgency=medium

  * Team upload.
  * Fix homepage URL.

 -- Mehdi Dogguy <mehdi@debian.org>  Mon, 10 Aug 2015 20:22:12 +0000

=== debian/control ===
--- 
+++ 
@@ -4,15 +4,16 @@
 Maintainer: Debian OCaml Maintainers <debian-ocaml-maint@lists.debian.org>
 Uploaders: Stéphane Glondu <glondu@debian.org>
 Build-Depends:
- debhelper (>= 8),
+ debhelper (>= 9),
  libpcre3-dev,
  ocaml-nox (>= 4),
  ocaml-findlib (>= 1.4),
+ ocamlbuild,
  dh-ocaml (>= 0.9~)
-Standards-Version: 3.9.5
-Vcs-Git: git://anonscm.debian.org/pkg-ocaml-maint/packages/pcre-ocaml.git
-Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-ocaml-maint/packages/pcre-ocaml.git
-Homepage: https://bitbucket.org/mmottl/pcre-ocaml
+Standards-Version: 3.9.8
+Vcs-Git: https://anonscm.debian.org/git/pkg-ocaml-maint/packages/pcre-ocaml.git
+Vcs-Browser: https://anonscm.debian.org/git/pkg-ocaml-maint/packages/pcre-ocaml.git
+Homepage: http://mmottl.github.io/pcre-ocaml/
 
 Package: libpcre-ocaml
 Architecture: any

=== debian/watch ===
version=3
https://github.com/mmottl/pcre-ocaml/releases/ .*/pcre-ocaml/releases/download/v.*/pcre-ocaml-(.*)\.tar\.gz

## pcre-ocaml 7.4.3

=== debian/changelog ===
pcre-ocaml (7.4.3-1) unstable; urgency=medium

  * New upstream release
  * Update debian/watch
  * Update Vcs-*
  * Bump debhelper compat level to 12
  * Bump Standards-Version to 4.5.0
  * Add Rules-Requires-Root: no

 -- Stéphane Glondu <glondu@debian.org>  Wed, 29 Jan 2020 09:23:17 +0100

=== debian/control ===
--- 
+++ 
@@ -4,15 +4,17 @@
 Maintainer: Debian OCaml Maintainers <debian-ocaml-maint@lists.debian.org>
 Uploaders: Stéphane Glondu <glondu@debian.org>
 Build-Depends:
- debhelper (>= 9),
+ debhelper-compat (= 12),
  libpcre3-dev,
- ocaml-nox (>= 4),
- ocaml-findlib (>= 1.4),
- ocamlbuild,
- dh-ocaml (>= 0.9~)
-Standards-Version: 3.9.8
-Vcs-Git: https://anonscm.debian.org/git/pkg-ocaml-maint/packages/pcre-ocaml.git
-Vcs-Browser: https://anonscm.debian.org/git/pkg-ocaml-maint/packages/pcre-ocaml.git
+ ocaml-nox,
+ ocaml-dune,
+ libdune-ocaml-dev,
+ libbase-ocaml-dev,
+ dh-ocaml
+Standards-Version: 4.5.0
+Rules-Requires-Root: no
+Vcs-Git: https://salsa.debian.org/ocaml-team/pcre-ocaml.git
+Vcs-Browser: https://salsa.debian.org/ocaml-team/pcre-ocaml
 Homepage: http://mmottl.github.io/pcre-ocaml/
 
 Package: libpcre-ocaml

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

DESTDIR := $(CURDIR)/debian/tmp

include /usr/share/ocaml/ocamlvars.mk

%:
	dh $@ --with ocaml

override_dh_auto_build:
	dune build -p pcre

override_dh_auto_test:
ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
	dune runtest -p pcre
endif

override_dh_auto_install:
	dune install --destdir=$(DESTDIR) --prefix=/usr --libdir=..$(OCAML_STDLIB_DIR)
	rm -f $(DESTDIR)/usr/doc/pcre/LICENSE.md

override_dh_missing:
	dh_missing --fail-missing

## pcre-ocaml 7.4.6

=== debian/changelog ===
pcre-ocaml (7.4.6-1) unstable; urgency=medium

  * New upstream release
  * Bump debhelper compat level to 13

 -- Stéphane Glondu <glondu@debian.org>  Thu, 20 Aug 2020 08:32:24 +0200

=== debian/control ===
--- 
+++ 
@@ -4,12 +4,11 @@
 Maintainer: Debian OCaml Maintainers <debian-ocaml-maint@lists.debian.org>
 Uploaders: Stéphane Glondu <glondu@debian.org>
 Build-Depends:
- debhelper-compat (= 12),
+ debhelper-compat (= 13),
  libpcre3-dev,
  ocaml-nox,
  ocaml-dune,
  libdune-ocaml-dev,
- libbase-ocaml-dev,
  dh-ocaml
 Standards-Version: 4.5.0
 Rules-Requires-Root: no

=== debian/rules ===
--- 
+++ 
@@ -22,6 +22,3 @@
 override_dh_auto_install:
 	dune install --destdir=$(DESTDIR) --prefix=/usr --libdir=..$(OCAML_STDLIB_DIR)
 	rm -f $(DESTDIR)/usr/doc/pcre/LICENSE.md
-
-override_dh_missing:
-	dh_missing --fail-missing

=== debian/watch ===
version=3
https://github.com/mmottl/pcre-ocaml/releases .*/archive/(.*)\.tar\.gz

## pcre-ocaml 7.5.0

=== debian/changelog ===
pcre-ocaml (7.5.0-1) unstable; urgency=medium

  * New upstream release
  * Bump Standards-Version to 4.6.0
  * Update debian/watch

 -- Stéphane Glondu <glondu@debian.org>  Sun, 20 Feb 2022 17:55:15 +0100

=== debian/control ===
--- 
+++ 
@@ -6,11 +6,11 @@
 Build-Depends:
  debhelper-compat (= 13),
  libpcre3-dev,
- ocaml-nox,
+ ocaml,
  ocaml-dune,
  libdune-ocaml-dev,
  dh-ocaml
-Standards-Version: 4.5.0
+Standards-Version: 4.6.0
 Rules-Requires-Root: no
 Vcs-Git: https://salsa.debian.org/ocaml-team/pcre-ocaml.git
 Vcs-Browser: https://salsa.debian.org/ocaml-team/pcre-ocaml

=== debian/watch ===
version=4
https://github.com/mmottl/pcre-ocaml/releases .*/pcre-(.*)\.tbz
